%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:       python-igraph
Version:    0.7
Release:    1%{?dist}
Summary:    Python bindings for igraph

License:    GPLv2+
URL:        http://pypi.python.org/pypi/python-igraph
Source0:    https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  igraph-devel >= %{version}
BuildRequires:  gcc
BuildRequires:  libxml2-devel
Requires:       libxml2
Requires:       igraph >= %{version}

%description
This module extends Python with a Graph class which is capable of
handling arbitrary directed and undirected graphs with thousands of
nodes and millions of edges. Since the module makes use of the open
source igraph library written in almost 100% pure C, it is blazing
fast and outperforms most other pure Python-based graph packages
around.

%package devel
Requires:  %{name} = %{version}-%{release}
Requires:  pkgconfig
Summary:   Development files for igraph

%description devel
The %{name}-devel package contains the header files and some
documentation needed to develop application with %{name}.

%prep
%setup -q

%build
%{__python2} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{python2_sitearch}/igraph
%{python2_sitearch}/python_igraph-%{version}-py*.egg-info
%{_bindir}/igraph

%files devel
%defattr(-,root,root,-)
%{_includedir}/*/%{name}

%changelog
* Fri Oct 10 2014 Brian Stinson <bstinson@ksu.edu> - 0.7-1
- Build 0.7 for epel6 and epel7

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 09 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6.5-1
- Update to 0.6.5
- Clean the spec a little
- Comment out the tests for the moment
- Update macro to python2
- Add the devel subpackage for the header file

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.5.4-2
- Rebuilt for gcc bug 634757

* Fri Sep 17 2010 Neal Becker <ndbecker2@gmail.com> - 0.5.4-1
- Update to 0.5.4

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May  2 2009 Neal Becker <ndbecker2@gmail.com> - 0.5.2-3
- Try removing Requires

* Mon Apr 27 2009 Neal Becker <ndbecker2@gmail.com> - 0.5.2-2
- Try running check

* Mon Apr 27 2009 Neal Becker <ndbecker2@gmail.com> - 0.5.2-1
- Update to 0.5.2
- Try building without patch2

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 21 2008 Neal Becker <ndbecker2@gmail.com> - 0.5.1-3
- Bump tag

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5.1-2
- Rebuild for Python 2.6

* Sun Nov 16 2008 Neal Becker <ndbecker2@gmail.com> - 0.5.1-1
- Update to 0.5.1

* Mon Feb 25 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-5
- Nothing

* Sun Feb 17 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-4
- Fix requires igraph

* Sun Feb 17 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-3
- Add BR python

* Sat Feb 16 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-2
- Fix BR

* Fri Feb 15 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-1
- Update to 0.5

* Thu Jan 24 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-7
- Add AUTHORS

* Thu Jan 24 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-6
- More patches from upstream

* Thu Jan 24 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-5
- try memory patch

* Thu Jan 24 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-4
- patch2

* Thu Jan 24 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-3
- Got patch from upstream

* Thu Jan 24 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-2
- Add BR gcc
- BR libxml2-devel, Req libxml2

* Wed Jan 23 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-1
- Initial package

